﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Xml.Serialization;
using System.Text;
using System.IO;

/// <summary>
/// Summary description for BlogSettings
/// </summary>
public class BlogSettings
{
	public BlogSettings()
	{
		
	}
    public string FeedURL { get; set; }
    public int MaxPosts { get; set; }
    public bool ShowLinkToFullPost { get; set; }
    public bool ShowLinkToFullSite { get; set; }
    public bool GroupByDate { get; set; }

    public void Load()
    {
        BlogSettings temp;
        XmlSerializer DeSerializer = new XmlSerializer(typeof(BlogSettings));
        TextReader reader = new StreamReader(HttpContext.Current.Server.MapPath("~/App_Data/BlogSettings.xml"));
        temp = (BlogSettings)DeSerializer.Deserialize(reader);
        reader.Close();
        FeedURL = temp.FeedURL;
        GroupByDate = temp.GroupByDate;
        MaxPosts = temp.MaxPosts;
        ShowLinkToFullPost = temp.ShowLinkToFullPost;
        ShowLinkToFullSite = temp.ShowLinkToFullSite;
    }

    public void Save()
    {
        XmlSerializer serializer = new XmlSerializer(typeof(BlogSettings));
        TextWriter writer = new StreamWriter(HttpContext.Current.Server.MapPath("~/App_Data/BlogSettings.xml"));
        serializer.Serialize(writer, this);
        writer.Close();
    }
}
