﻿using System;
using System.Data;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class iBlog : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        LoadPosts();
    }
    protected void LoadPosts()
    {
        List<C1.Web.iPhone.C1NavigationList.C1NavigationListItem> lst = BuildItemsFromRSS(XmlBlogPosts);
        foreach (C1.Web.iPhone.C1NavigationList.C1NavigationListItem i in lst)
        {
            ItmPosts.Items.Add(i);
        }
    }

    public List<C1.Web.iPhone.C1NavigationList.C1NavigationListItem> BuildItemsFromRSS(RssToolkit.Web.WebControls.RssDataSource datasource)
    {
        BlogSettings mySettings = new BlogSettings();
        mySettings.Load();

        DataView rss;
        datasource.Url = mySettings.FeedURL;
        datasource.MaxItems = mySettings.MaxPosts;
        datasource.DataBind();

        rss = (DataView)datasource.Rss.SelectItems(mySettings.MaxPosts);

        ItmTitle.Text = datasource.Rss.Channel.Title;
        ItmDescription.Text = datasource.Rss.Channel.Description;
        ItmLink.Text = datasource.Rss.Channel.Link;
        ItmLink.NavigateUrl = datasource.Rss.Channel.Link;

        ViewFeed.RightButton.NavigateUrl = datasource.Rss.Channel.Link;
        ViewFeed.RightButton.DisplayVisible = mySettings.ShowLinkToFullSite;

        List<C1.Web.iPhone.C1NavigationList.C1NavigationListItem> returnItms = new List<C1.Web.iPhone.C1NavigationList.C1NavigationListItem>();
        DateTime currentdate = DateTime.Now;
        foreach (DataRow i in rss.Table.Rows)
        {
            if (mySettings.GroupByDate == true)
            {
                if (DateTime.Parse(i.Field<string>("pubDate")) != currentdate)
                {
                    C1.Web.iPhone.C1NavigationList.C1NavigationListHeaderItem lidh = new C1.Web.iPhone.C1NavigationList.C1NavigationListHeaderItem();
                    lidh.Text = DateTime.Parse(i.Field<string>("pubDate")).ToShortDateString();
                    returnItms.Add(lidh);
                }
            }
            currentdate = DateTime.Parse(i.Field<string>("pubDate"));
            C1.Web.iPhone.C1NavigationList.C1NavigationListLinkItem li = new C1.Web.iPhone.C1NavigationList.C1NavigationListLinkItem();
            li.Text = i.Field<string>("title");

            C1.Web.iPhone.C1NavigationList.C1NavigationListTextItem li2 = new C1.Web.iPhone.C1NavigationList.C1NavigationListTextItem();
            li2.Text = i.Field<string>("description");
            li2.Style.Add("font-weight", "400");
            li.Items.Add(li2);

            if (mySettings.ShowLinkToFullPost == true)
            {
                C1.Web.iPhone.C1NavigationList.C1NavigationListLinkItem li3 = new C1.Web.iPhone.C1NavigationList.C1NavigationListLinkItem();
                li3.Text = "Launch Full Article";
                li3.ImageUrl = "~/Images/safari_29x29.png";
                li3.NavigateUrl = i.Field<string>("link");
                li.Items.Add(li3);
            }
            returnItms.Add(li);
        }

        ItmPosts.DetailText = rss.Table.Rows.Count.ToString();

        return returnItms;
    }




}
